<?php
@session_start();
class Xca extends MX_Controller{
	public function __construct(){
		if(!isset($_SESSION["app.gxc_sesion_id"]) || $_SESSION["app.gxc_sesion_id"]==0){
 			header('Location: '.base_url().'main/no_conectado');
 		}
		parent::__construct();
		$this->load->model('movimientos/xpn_model');
		$this->load->model('movimientos/xca_model');
		$this->load->model('seguridad/xppo_model');
		date_default_timezone_set('America/Lima');
	}

	public function index(){
		if($this->xppo_model->ver($_SESSION['app.gxc_sesion_id'],9)){
			$titulo 			= $_SESSION['app.gxc_sesion_titulo'];
 			$data['titulo']		= 'CITAS :. '.$titulo;
 			$datac['titulo']	= $titulo;
 			$data['xco']		= modules::run('maestras/xco/combo','0',' - TODOS - ');
 			$data['cabecera']	= $this->load->view('main/cabecera', $datac, TRUE);
 			$datam['menu']		= 'xca';
 			$data['menu']		= $this->load->view('main/menu', $datam, TRUE);
 			$data['pie']		= $this->load->view('main/pie', '', TRUE);
			$this->load->view('xca/listar', $data);
		}else{
			$titulo 			= $_SESSION['app.gxc_sesion_titulo'];
 			$data['titulo']		= $titulo;
 			$datac['titulo']	= $titulo;
 			$data['cabecera']	= $this->load->view('main/cabecera', $datac, TRUE);
 			$data['menu']		= $this->load->view('main/menu', '', TRUE);
 			$data['pie']		= $this->load->view('main/pie', '', TRUE);
			$this->load->view('main/sin_permiso', $data);
		}
	}

	public function listar(){
		$desde 		= $this->util->fecha_ingles($this->input->post('desde'));
		$hasta 		= $this->util->fecha_ingles($this->input->post('hasta'));
		$xco 		= $this->input->post('xco');
		$ds 		= $this->xca_model->listar($desde,$hasta,$xco);
		$html 		= '';
		/*<a href="javascript:fn_xpn_eliminar2('.$row->con_id.',\''.$this->util->fecha_espanol($row->prog_fecha).'\',\''.$row->con_descripcion.'\',\''.$row->pers_apenombres.'\');" class="btn btn-danger btn-xs">
							<span class="glyphicon glyphicon-trash"></span>
						</a>*/
		foreach ($ds->result() as $row) {
			$eliminar 	= '';
			if($row->cit_atendido==0){
				$eliminar 	= '<a href="javascript:fn_xca_eliminar(	'.$row->cit_id.',
														'.$row->prog_id.',
														\''.$row->pers_apenombres.'\',
														\''.$this->util->fecha_espanol($row->cit_fecha).'\');" class="btn btn-danger btn-xs">
							<span class="glyphicon glyphicon-trash"></span> <b>Eliminar</b>
						</a>';
			}
			$html.= '
				<tr>
					<td>'.$row->con_descripcion.'</td>
					<td>'.$row->pers_apenombres.'</td>
					<td>'.$this->util->fecha_espanol($row->cit_fecha).'</td>
					<td>
						'.$eliminar.'
					</td>
				</tr>
			';
		}
		echo json_encode(array($html));# code...
	}

	public function nuevo(){
		if($this->xppo_model->ver($_SESSION['app.gxc_sesion_id'],9)){
			$titulo 			= $_SESSION['app.gxc_sesion_titulo'];
 			$data['titulo']		= 'NUEVA CITA :. '.$titulo;
 			$datac['titulo']	= $titulo;
 			$data['xco']		= modules::run('maestras/xco/combo','0',' - SELECCIONAR - ');
 			$data['xhc']		= modules::run('maestras/xhc/combo','0',' - SELECCIONAR - ');
 			$data['cabecera']	= $this->load->view('main/cabecera', $datac, TRUE);
 			$datam['menu']		= 'xca_nuevo';
 			$data['menu']		= $this->load->view('main/menu', $datam, TRUE);
 			$data['pie']		= $this->load->view('main/pie', '', TRUE);
			$this->load->view('xca/nuevo', $data);
		}else{
			$titulo 			= $_SESSION['app.gxc_sesion_titulo'];
 			$data['titulo']		= $titulo;
 			$datac['titulo']	= $titulo;
 			$data['cabecera']	= $this->load->view('main/cabecera', $datac, TRUE);
 			$data['menu']		= $this->load->view('main/menu', '', TRUE);
 			$data['pie']		= $this->load->view('main/pie', '', TRUE);
			$this->load->view('main/sin_permiso', $data);
		}
	}

	public function insertar(){
		$fecha 		= $this->util->fecha_ingles($this->input->post('txt_fecha'));
		$xpn 		= $this->input->post('cbo_xpn');
		$xhc 		= $this->input->post('cbo_xhc');
		$dsv 		= $this->xca_model->validar($fecha, $xpn, $xhc);
		if(!$dsv){
			$data 		= array('cit_fecha'			=> $fecha,
								'cit_fecha_reg'		=> date('Y-m-d'),
								'cit_hora_reg'		=> date('H:i:s'),
								'cit_usuario_reg'	=> $_SESSION['app.gxc_sesion_usuario'],
								'prog_id'			=> $xpn,
								'hc_id'				=> $xhc);
			$this->xca_model->insertar($data);
			$this->xpn_model->editar_cuposc($xpn, '+');
			echo 	0;
		}else
			echo 	1;
	}

	public function eliminar(){
		$id 		= $this->input->post('d1');
		$xpn 		= $this->input->post('d2');
		$data_xca 	= array('cit_estado' 		=> 1,
							'cit_fecha_reg'		=> date('Y-m-d'),
							'cit_hora_reg'		=> date('H:i:s'),
							'cit_usuario_reg'	=> $_SESSION['app.gxc_sesion_usuario']);
		$this->xca_model->editar($id, $data_xca);
		$this->xpn_model->editar_cuposc($xpn, '-');
		echo 	0;
	}
}